gene = "pncA"
drug = "pyrazinamide"

#===================================
#Iron centre --> purple
#Catalytic triad --> yellow 
#Substrate binding --> teal and blue
#H-bond --> green
#====================================
#aa_plip = c(49, 51, 57, 71, 96 , 133, 134, 138)
#aa_ligplus = c(8, 13 , 49 , 133, 134 , 138, 137)
#active_aa_pos = sort(unique(c(aa_plip, aa_ligplus)))

#aa_pos_substrate = c(13, 68, 103, 137)
aa_pos_pza       = c(13, 68, 103, 137)
aa_pos_fe        = c(49, 51, 57, 71) 
aa_pos_catalytic = c(8, 96, 138)
aa_pos_hbond     = c(133, 134, 8, 138)

aa_pos_drug = aa_pos_pza
#==========
# Arpeggio
#===========
# all same except one extra
aa_arpeg = c(102)

##############################################################
active_aa_pos = sort(unique(c(aa_pos_pza
                              , aa_pos_fe
                              , aa_pos_catalytic
                              , aa_pos_hbond
                              , aa_arpeg)))
##############################################################
cat("\nNo. of active site residues for gene"
    , gene, ":"
    , length(active_aa_pos)
    , "\nThese are:\n"
    , active_aa_pos)

cat("\n==================================================="
    , "\nActive site residues for", gene, "comprise of..."
    , "\n==================================================="
    , "\nNo. of", drug, "binding residues:"   , length(aa_pos_pza)       , "\n"
    , aa_pos_pza
    , "\nMetal coordination centre residues:" , length(aa_pos_fe)        , "\n"
    , aa_pos_fe
    , "\nCatalytic triad residues:"           , length(aa_pos_catalytic) , "\n"
    , aa_pos_catalytic
    , "\nH-bonding residues:"                 , length(aa_pos_hbond)     , "\n"
    , aa_pos_hbond                            , "\n")

##############################################################
# var for position customisation for plots
aa_pos_lig1 = aa_pos_fe
#aa_pos_lig2 = aa_pos_catalytic
#aa_pos_lig3 = aa_pos_hbond